Package org.jboss.logmanager.formatters

## Enum StructuredFormatter.Key

- java.lang.Object
- - java.lang.Enum<StructuredFormatter.Key>
  - - org.jboss.logmanager.formatters.StructuredFormatter.Key

All Implemented Interfaces:
  `java.io.Serializable`, `java.lang.Comparable<StructuredFormatter.Key>`

Enclosing class:
  StructuredFormatter

    public static enum StructuredFormatter.Key
    extends java.lang.Enum<StructuredFormatter.Key>

The key used for the structured log record data.

### Enum Constant Summary

Enum Constants
`EXCEPTION`
`EXCEPTION_CAUSED_BY`
`EXCEPTION_CIRCULAR_REFERENCE`
`EXCEPTION_FRAME`
`EXCEPTION_FRAME_CLASS`
`EXCEPTION_FRAME_LINE`
`EXCEPTION_FRAME_METHOD`
`EXCEPTION_FRAMES`
`EXCEPTION_MESSAGE`
`EXCEPTION_REFERENCE_ID`
`EXCEPTION_SUPPRESSED`
`EXCEPTION_TYPE`
`HOST_NAME`
`LEVEL`
`LOGGER_CLASS_NAME`
`LOGGER_NAME`
`MDC`
`MESSAGE`
`NDC`
`PROCESS_ID`
`PROCESS_NAME`
`RECORD`
`SEQUENCE`
`SOURCE_CLASS_NAME`
`SOURCE_FILE_NAME`
`SOURCE_LINE_NUMBER`
`SOURCE_METHOD_NAME`
`SOURCE_MODULE_NAME`
`SOURCE_MODULE_VERSION`
`STACK_TRACE`
`THREAD_ID`
`THREAD_NAME`
`TIMESTAMP`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`java.lang.String` `getKey()` Returns the name of the key for the structure.
`static StructuredFormatter.Key` `valueOf​(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static StructuredFormatter.Key[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### EXCEPTION

    public static final StructuredFormatter.Key EXCEPTION

#### EXCEPTION_CAUSED_BY

    public static final StructuredFormatter.Key EXCEPTION_CAUSED_BY

#### EXCEPTION_CIRCULAR_REFERENCE

    public static final StructuredFormatter.Key EXCEPTION_CIRCULAR_REFERENCE

#### EXCEPTION_TYPE

    public static final StructuredFormatter.Key EXCEPTION_TYPE

#### EXCEPTION_FRAME

    public static final StructuredFormatter.Key EXCEPTION_FRAME

#### EXCEPTION_FRAME_CLASS

    public static final StructuredFormatter.Key EXCEPTION_FRAME_CLASS

#### EXCEPTION_FRAME_LINE

    public static final StructuredFormatter.Key EXCEPTION_FRAME_LINE

#### EXCEPTION_FRAME_METHOD

    public static final StructuredFormatter.Key EXCEPTION_FRAME_METHOD

#### EXCEPTION_FRAMES

    public static final StructuredFormatter.Key EXCEPTION_FRAMES

#### EXCEPTION_MESSAGE

    public static final StructuredFormatter.Key EXCEPTION_MESSAGE

#### EXCEPTION_REFERENCE_ID

    public static final StructuredFormatter.Key EXCEPTION_REFERENCE_ID

#### EXCEPTION_SUPPRESSED

    public static final StructuredFormatter.Key EXCEPTION_SUPPRESSED

#### HOST_NAME

    public static final StructuredFormatter.Key HOST_NAME

#### LEVEL

    public static final StructuredFormatter.Key LEVEL

#### LOGGER_CLASS_NAME

    public static final StructuredFormatter.Key LOGGER_CLASS_NAME

#### LOGGER_NAME

    public static final StructuredFormatter.Key LOGGER_NAME

#### MDC

    public static final StructuredFormatter.Key MDC

#### MESSAGE

    public static final StructuredFormatter.Key MESSAGE

#### NDC

    public static final StructuredFormatter.Key NDC

#### PROCESS_ID

    public static final StructuredFormatter.Key PROCESS_ID

#### PROCESS_NAME

    public static final StructuredFormatter.Key PROCESS_NAME

#### RECORD

    public static final StructuredFormatter.Key RECORD

#### SEQUENCE

    public static final StructuredFormatter.Key SEQUENCE

#### SOURCE_CLASS_NAME

    public static final StructuredFormatter.Key SOURCE_CLASS_NAME

#### SOURCE_FILE_NAME

    public static final StructuredFormatter.Key SOURCE_FILE_NAME

#### SOURCE_LINE_NUMBER

    public static final StructuredFormatter.Key SOURCE_LINE_NUMBER

#### SOURCE_METHOD_NAME

    public static final StructuredFormatter.Key SOURCE_METHOD_NAME

#### SOURCE_MODULE_NAME

    public static final StructuredFormatter.Key SOURCE_MODULE_NAME

#### SOURCE_MODULE_VERSION

    public static final StructuredFormatter.Key SOURCE_MODULE_VERSION

#### STACK_TRACE

    public static final StructuredFormatter.Key STACK_TRACE

#### THREAD_ID

    public static final StructuredFormatter.Key THREAD_ID

#### THREAD_NAME

    public static final StructuredFormatter.Key THREAD_NAME

#### TIMESTAMP

    public static final StructuredFormatter.Key TIMESTAMP

### Method Detail

#### values

    public static StructuredFormatter.Key[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (StructuredFormatter.Key c : StructuredFormatter.Key.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static StructuredFormatter.Key valueOf​(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null

#### getKey

    public java.lang.String getKey()

Returns the name of the key for the structure.

Returns:
  the name of they key